SOTRUSS(1)

NUME
sotruss - urmărește apelurile la biblioteca partajată prin PLT

REZUMAT
sotruss [OPȚIUNE...] [--] EXECUTABIL [OPȚIUNE-EXECUTABIL...]

DESCRIERE
sotruss este un mic învăluitor în jurul lui ld.so care rulează executable specificat până când acesta iese. Acesta interceptează și produce o urmă a apelurilor dinamice de bibliotecă care sunt apelate de procesul executat prin intermediul tabelei de legătură a procedurilor (PLT). Acesta indică apelantul, apelul și parametrii pe măsură ce fiecare apel este executat.

OPȚIUNI

-F, --from DIN_LISTA
    Urmărește apelurile de la obiectele din DIN_LISTA

-T, --to ÎN_LISTA
    Urmărește apelurile către obiectele din ÎN_LISTA

-e, --exit
    Afișează, de asemenea, ieșirile din apelurile de funcții.

-f, --follow
    Urmărește procesele-copil pe măsură ce sunt create de procesele urmărite în prezent ca urmare a apelului de sistem fork(2).

-o, --output FIȘIER
    Scrie ieșirea în FIȘIER (sau FIȘIER. în cazul în care se utilizează și -f) în loc de ieșirea de eroare standard.

-?, --help
    Oferă acest mesaj de ajutor

--usage
    feră un mesaj scurt de utilizare

--version
    Afișează versiunea programului

AUTOR
Scris de Ulrich Drepper.

DREPTURI DE AUTOR
Drepturi de autor © 2013 Free Software Foundation, Inc.
Acesta este software liber; consultați sursa pentru condițiile de copiere. NU există NICIO garanție; nici măcar pentru COMERCIALIZARE sau POTRIVIRE PENTRU UN ANUMIT SCOP.

CONSULTAȚI ȘI
ld.so(8).

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.